当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 12 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]是否应从7.10升级为8.04?
帖子发表于 : 2008-06-29 8:39 

注册: 2008-04-04 14:11
帖子: 35
送出感谢: 0 次
接收感谢: 0 次
碰到一件比较郁闷的事情。
兴冲冲地拿着索要来的LIVE CD,装上了UBUNTU,版本如下:
代码:
~$ [b]sudo lsb_release -a[/b]
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 7.10
Release:        7.10
Codename:       gutsy


还没等 屁股坐热呢,它就提示我:

各位大侠,我应该升级吗?
升级后,原先的软件都还能正常吗?


附件:
8.04.png
8.04.png [ 22.73 KiB | 被浏览 693 次 ]

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-06-29 8:54 
头像

注册: 2005-08-01 9:14
帖子: 3666
送出感谢: 0 次
接收感谢: 0 次
如果用着没问题,就别升


_________________
Gedanken ohne Inhalt sind leer .Anschauungen ohne Begriffe sind blind.


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-06-29 9:50 
头像

注册: 2006-11-17 23:02
帖子: 326
送出感谢: 0 次
接收感谢: 0 次
当然要了,为什么不升?


_________________
IBM T41-P4M 1.5G/1GB/40GB HDD/DVD/14.1TFT/IPW2100 & 10-100M
OS:Xubuntu 11.10
生活就是折腾
活在成都
使用update-rc.d管理Linux服务


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-06-29 10:04 

注册: 2006-09-11 22:47
帖子: 2841
送出感谢: 0 次
接收感谢: 4
刚装好就别升级了,直接拿8.04的盘刻一张再装吧。升级一般还是比较容易出问题的。

如果你已经装了很久,改了很多系统配置装了很多软件,可以考虑升级。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-06-29 10:13 
头像

注册: 2007-10-06 0:07
帖子: 69
送出感谢: 0 次
接收感谢: 0 次
同意ls的,最好别升了,麻烦,指不定会出现什么问题呢


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-06-29 10:14 
头像

注册: 2007-02-27 21:47
帖子: 1473
地址: GL
送出感谢: 0 次
接收感谢: 0 次
新的版本还是建议全新安装 刻盘吧


_________________
Intel Pentium Dual Core 2.1G, 250G, DDRII 3G, ATI Radeon HD 4330
LMDE


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-06-29 10:40 

注册: 2008-05-24 10:54
帖子: 39
送出感谢: 0 次
接收感谢: 0 次
tigerdoo 写道:
当然要了,为什么不升?


为什么要升?
一个操作系统,能够完成自己所要求的事就行了,用不着升到最新版本。
那些动不动就重装系统,动不动就升级到最新版本的人,其实都是闲着没事干,他们使用linux,好像就是为了显示自己而已,其实什么也不会,什么也学不到。


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-06-29 11:07 

注册: 2007-09-01 19:22
帖子: 66
送出感谢: 0 次
接收感谢: 0 次
个人爱好。不强求。


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-06-29 19:56 

注册: 2008-04-04 14:11
帖子: 35
送出感谢: 0 次
接收感谢: 0 次
martian2 写道:
tigerdoo 写道:
当然要了,为什么不升?


为什么要升?
一个操作系统,能够完成自己所要求的事就行了,用不着升到最新版本。
那些动不动就重装系统,动不动就升级到最新版本的人,其实都是闲着没事干,他们使用linux,好像就是为了显示自己而已,其实什么也不会,什么也学不到。


我去看过了官网前的支援公告,MS7.1的支援时间只剩几个月了。
所以,我才有此问。


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-06-29 21:09 
头像

注册: 2005-08-01 9:14
帖子: 3666
送出感谢: 0 次
接收感谢: 0 次
sloven 写道:
martian2 写道:
tigerdoo 写道:
当然要了,为什么不升?


为什么要升?
一个操作系统,能够完成自己所要求的事就行了,用不着升到最新版本。
那些动不动就重装系统,动不动就升级到最新版本的人,其实都是闲着没事干,他们使用linux,好像就是为了显示自己而已,其实什么也不会,什么也学不到。


我去看过了官网前的支援公告,MS7.1的支援时间只剩几个月了。
所以,我才有此问。


下次去看公告的时候把眼镜戴上 :shock:


_________________
Gedanken ohne Inhalt sind leer .Anschauungen ohne Begriffe sind blind.


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-06-29 22:28 

注册: 2006-09-11 22:47
帖子: 2841
送出感谢: 0 次
接收感谢: 4
martian2 写道:
tigerdoo 写道:
当然要了,为什么不升?

为什么要升?
一个操作系统,能够完成自己所要求的事就行了,用不着升到最新版本。
那些动不动就重装系统,动不动就升级到最新版本的人,其实都是闲着没事干,他们使用linux,好像就是为了显示自己而已,其实什么也不会,什么也学不到。


我认为,你这个观点,我基本上是赞成的,前提是对于windows。

对于ubuntu来说,
第一:因为ubuntu的开发者太急功近利,特别喜欢开发新功能但不太喜欢改bug。目前ubuntu还没有发行出一个bug足够少的版本,一个也没有,所以很多时候,升级只是为了看新版本的ubuntu是否解决了自己的那些问题。
第二:由于旧版本中的包不会被升级,因此很多时候不太方便。我假如:6.06带了cmake 2.2,7.04带了cmake2.4,8.04带了cmake 2.6。如果我就用6.06不升级,那么我永远用不了cmake2.4,cmake 2.6。如果我要用新版本又不想升级ubuntu,唯一的办法是从cmake官方网站下载最新源代码自己编译。问题是如果我什么软件都下载源代码自己编译我还要用ubuntu做什么呢?那岂不成了gentoo?

——事实上,我做过这样的尝试:有一个系统一直使用ubuntu 7.04,结果到现在为止,这个机器上已经有三分之一的软件是我自己编译的了。随着时间越来越长,这样一个ubuntu机器来说,官方源就成了几乎无用的东西,因为我已经把大多数软件都替换成了自己编译的版本,无它,官方源不提供升级,如果你不升级ubuntu的大版本,只能自己升各个软件包。——有些人可能要问为什么要升级,其实你常用的软件一定要升级,因为经常是你使用了这些软件,提了新的需求在新版本中被实现了,或者你提了新的bug被改了,或者你提了patch被采纳了,你主力使用的大多数软件是必须要升级的。一般的次要软件确实是可以一直不升级。但说实在话,那种次要软件我一般都尽量不装。

如果哪天,真的有一个稳定性能媲美winXP的ubuntu版本,并且这个版本下的软件包能够一直使用apt-get upgrade自动升级,我是不会介意把操作系统一直用四到五年不升级的。


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2008-07-01 8:57 

注册: 2008-04-04 14:11
帖子: 35
送出感谢: 0 次
接收感谢: 0 次
poet 写道:
martian2 写道:
tigerdoo 写道:
当然要了,为什么不升?

为什么要升?
一个操作系统,能够完成自己所要求的事就行了,用不着升到最新版本。
那些动不动就重装系统,动不动就升级到最新版本的人,其实都是闲着没事干,他们使用linux,好像就是为了显示自己而已,其实什么也不会,什么也学不到。


我认为,你这个观点,我基本上是赞成的,前提是对于windows。

对于ubuntu来说,
第一:因为ubuntu的开发者太急功近利,特别喜欢开发新功能但不太喜欢改bug。目前ubuntu还没有发行出一个bug足够少的版本,一个也没有,所以很多时候,升级只是为了看新版本的ubuntu是否解决了自己的那些问题。
第二:由于旧版本中的包不会被升级,因此很多时候不太方便。我假如:6.06带了cmake 2.2,7.04带了cmake2.4,8.04带了cmake 2.6。如果我就用6.06不升级,那么我永远用不了cmake2.4,cmake 2.6。如果我要用新版本又不想升级ubuntu,唯一的办法是从cmake官方网站下载最新源代码自己编译。问题是如果我什么软件都下载源代码自己编译我还要用ubuntu做什么呢?那岂不成了gentoo?

——事实上,我做过这样的尝试:有一个系统一直使用ubuntu 7.04,结果到现在为止,这个机器上已经有三分之一的软件是我自己编译的了。随着时间越来越长,这样一个ubuntu机器来说,官方源就成了几乎无用的东西,因为我已经把大多数软件都替换成了自己编译的版本,无它,官方源不提供升级,如果你不升级ubuntu的大版本,只能自己升各个软件包。——有些人可能要问为什么要升级,其实你常用的软件一定要升级,因为经常是你使用了这些软件,提了新的需求在新版本中被实现了,或者你提了新的bug被改了,或者你提了patch被采纳了,你主力使用的大多数软件是必须要升级的。一般的次要软件确实是可以一直不升级。但说实在话,那种次要软件我一般都尽量不装。

如果哪天,真的有一个稳定性能媲美winXP的ubuntu版本,并且这个版本下的软件包能够一直使用apt-get upgrade自动升级,我是不会介意把操作系统一直用四到五年不升级的。


还是你细心~
就像我现在还在用3DS MAX 5.0一样。
并非所有的软件都是最新版本的好用,如果这个新版本只是多了些哗众取宠的新功能,而旧的BUG又没有解决。那这个新版本,不用也罢。

我用ACDSEE7+光影改图。
当一个版本,可以满足你的正常要求时,就可以一直留用。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 12 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Google [Bot] 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译